免费注册 查看新帖 |

Chinaunix

  平台 论坛 博客 文库
最近访问板块 发新帖
查看: 5015 | 回复: 3

如何升级开发板文件系统的glibc库? [复制链接]

论坛徽章:
0
发表于 2010-04-14 17:21 |显示全部楼层
我的交叉编译器是2.95.3,其glibc库的版本是2.2.3的,而开发板的跟文件系统(随开发板的资料里面的)下lib中glibc的版本是2.1.3。
  

因为版本不同导致在交叉编译环境下编译的文件在开发板上运行时出现如下错误:/lib/libc.so.6 : version 'GLIBC_2.2' not found


在Google和百度上发现有很多人遇到过类似的问题,但是没有找到解决方法,有人说可以把开发板的glibc库升级到和交叉编译器一样的版本。但是没有说明如何实现。

请问有谁有这方面的经验吗?

论坛徽章:
2
水瓶座
日期:2013-09-04 15:09:57白羊座
日期:2014-04-17 16:48:13
发表于 2010-04-16 16:27 |显示全部楼层
去下一个开发板的工具链或者用你的工具链自己做个文件系统

论坛徽章:
0
发表于 2010-04-20 00:00 |显示全部楼层
去下一个开发板的工具链或者用你的工具链自己做个文件系统
l2y3n2 发表于 2010-04-16 16:27



    谢谢,已经升级成功了,所用方法跟你说的类似!

论坛徽章:
0
发表于 2016-03-10 14:59 |显示全部楼层
我想知道您是怎么解决的啊?是直接在交叉工具链中拷贝了glic库到板子上么?
您需要登录后才可以回帖 登录 | 注册

本版积分规则 发表回复

SACC2019中国系统架构师大会

【数字转型 架构演进】SACC2019中国系统架构师大会,8.5折限时优惠重磅来袭!
2019年10月31日~11月2日第11届中国系统架构师大会(SACC2019)将在北京隆重召开。四大主线并行的演讲模式,1个主会场、20个技术专场、超千人参与的会议规模,100+来自互联网、金融、制造业、电商等领域的嘉宾阵容,将为广大参会者提供一场最具价值的技术交流盛会。

限时8.5折扣期:2019年9月30日前


----------------------------------------

大会官网>>
  

北京盛拓优讯信息技术有限公司. 版权所有 16024965号-6 北京市公安局海淀分局网监中心备案编号:11010802020122
中国互联网协会会员  联系我们:huangweiwei@it168.com
感谢所有关心和支持过ChinaUnix的朋友们 转载本站内容请注明原作者名及出处

清除 Cookies - ChinaUnix - Archiver - WAP - TOP